osg::State::UniformStack Struct Reference

`#include <State>`

## Public Types

typedef std::pair< const Uniform *, StateAttribute::OverrideValue > | UniformPair
typedef std::vector< UniformPair > | UniformVec

## Public Member Functions

| UniformStack ()
void | print (std::ostream &fout) const

## Public Attributes

UniformVec | uniformVec

## Member Typedef Documentation

## UniformPair

typedef std::pair<const Uniform*,StateAttribute::OverrideValue> osg::State::UniformStack::UniformPair

## UniformVec

typedef std::vector<UniformPair> osg::State::UniformStack::UniformVec

## Constructor & Destructor Documentation

## UniformStack()

osg::State::UniformStack::UniformStack | ( |  | ) |

inline

## Member Function Documentation

## print()

void osg::State::UniformStack::print | ( | std::ostream & | fout | ) | const

## Member Data Documentation

## uniformVec

UniformVec osg::State::UniformStack::uniformVec

Referenced by osg::State::applyUniformList(), osg::State::applyUniformMap(), osg::State::popUniformList(), and osg::State::pushUniformList().

The documentation for this struct was generated from the following file:

- State